%global _empty_manifest_terminate_build 0

Name:           perl-Params-Validate
Version:        1.31
Release:        1
Summary:        Validate method/function parameters
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Params-Validate/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz

BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Module::Implementation)
BuildRequires:  perl(Scalar::Util) >= 1.10
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)

Requires:       perl(Carp)
Requires:       perl(Exporter)
Requires:       perl(Module::Implementation)
Requires:       perl(Scalar::Util) >= 1.10
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(XSLoader)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
I would recommend you consider using Params::ValidationCompiler instead.
That module, despite being pure Perl, is significantly faster than this
one, at the cost of having to adopt a type system such as Specio,
Type::Tiny, or the one shipped with Moose.

%package help
Summary : Validate method/function parameters
Provides: perl-Params-Validate-doc

%description help
I would recommend you consider using Params::ValidationCompiler instead.
That module, despite being pure Perl, is significantly faster than this
one, at the cost of having to adopt a type system such as Specio,
Type::Tiny, or the one shipped with Moose.

%prep
%setup -q -n Params-Validate-%{version}

%build
export PERL_MM_OPT=""
%{__perl} Build.PL --installdirs=vendor --optimize="$RPM_OPT_FLAGS"
./Build

%install
export PERL_MM_OPT=""
rm -rf $RPM_BUILD_ROOT

./Build install --destdir=$RPM_BUILD_ROOT --create_packlist=0
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

pushd %{buildroot}
touch filelist.lst
if [ -d usr/bin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ];then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ];then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib ];then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
popd
mv %{buildroot}/filelist.lst .

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f filelist.lst
%defattr(-,root,root,-)
%doc azure-pipelines.yml Changes CODE_OF_CONDUCT.md CONTRIBUTING.md cpanfile dist.ini LICENSE META.json perlcriticrc perltidyrc README.md tidyall.ini TODO weaver.ini
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Params*

%files help
%{_mandir}/*

%changelog
* Sat Sep 09 2023 xu_ping <707078654@qq.com> - 1.31-1
- Upgrade version to 1.31

* Thu Jul 14 2022 wangshuo <wangshuo@kylinos.cn> - 1.30-1
- Specfile autogenerated by Perl_Bot
